# Interface methods for submodule: MatchCardinalityImageToImageMetric
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageMetricProxy as _ImageToImageMetricProxy


# Interface methods for class: MatchCardinalityImageToImageMetric
class MatchCardinalityImageToImageMetricProxy(_ImageToImageMetricProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetDerivative(self, arg0, derivative: Sequence[float]) -> None:
		""""""
		...

	def GetValue(self, parameters) -> float:
		""""""
		...

	def SetMeasureMatches(self, _arg: bool) -> None:
		""""""
		...

	def MeasureMatchesOn(self) -> None:
		""""""
		...

	def MeasureMatchesOff(self) -> None:
		""""""
		...

	def GetMeasureMatches(self) -> bool:
		""""""
		...

	def GetMultiThreader(self):
		""""""
		...

